Bug 870398 - [RFE] Add expand/collapse all for Test Case / Case Runs view
[RFE] Add expand/collapse all for Test Case / Case Runs view
Status: NEW
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 07:44 EDT by Patrik Kis
Modified: 2016-06-23 00:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of case runs view (151.63 KB, image/png)
2012-10-26 07:44 EDT, Patrik Kis
no flags Details

  None (edit)
Description Patrik Kis 2012-10-26 07:44:11 EDT
Created attachment 633802 [details]
Screenshot of case runs view

Description of problem:
It would be useful to have expand/collapse all test plans from test case / case runs view.

Version-Release number of selected component (if applicable):
Nitrate 3.8.1

Steps to Reproduce:
1. Open a test case that is linked to more test plans and have test runs for these test plans. E.g. https://tcms.engineering.redhat.com/case/62800/#case_run
2. Chose: Case Runs. The list of test plans, for which test run exists, are displayed. 
3. I missing a header line where all test plans could be expanded / collapsed. There is such possibility when test cases are viewed from test run or test plan.
  
Additional info:
attached screenshot
Comment 1 yawei Li 2012-11-13 05:00:31 EST
You want to expand all test plans once? That may consume a lot time especially there are many plans listed.

or you want to display all the test case runs from one plan? you can click the triangle to expand the detailed test run lists.
Comment 2 Patrik Kis 2012-11-13 06:29:34 EST
(In reply to comment #1)
> You want to expand all test plans once? That may consume a lot time
> especially there are many plans listed.
> 

Yes this is what I'd like to have. It's clear that it will take some time, but now it took even more because I have to click on every single plan.

> or you want to display all the test case runs from one plan? you can click
> the triangle to expand the detailed test run lists.

What I'm looking for is all results of a particular test case.

Note You need to log in before you can comment on or make changes to this bug.